org.springframework.data.mapping.model

## Class IdPropertyIdentifierAccessor

- java.lang.Object
- - org.springframework.data.mapping.TargetAwareIdentifierAccessor
  - - org.springframework.data.mapping.model.IdPropertyIdentifierAccessor

All Implemented Interfaces:
  IdentifierAccessor

    public class IdPropertyIdentifierAccessor
    extends TargetAwareIdentifierAccessor

Default implementation of `IdentifierAccessor`.

Since:
  1.10
Author:
  Christoph Strobl, Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`IdPropertyIdentifierAccessor(PersistentEntity<?,?> entity, Object target)` Creates a new `IdPropertyIdentifierAccessor` for the given `PersistentEntity` and `ConvertingPropertyAccessor`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getIdentifier()` Returns the value of the identifier.

### Methods inherited from class org.springframework.data.mapping.TargetAwareIdentifierAccessor

`getRequiredIdentifier`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IdPropertyIdentifierAccessor

    public IdPropertyIdentifierAccessor(PersistentEntity<?,?> entity,
                                        Object target)

Creates a new `IdPropertyIdentifierAccessor` for the given `PersistentEntity` and `ConvertingPropertyAccessor`.

Parameters:
  `entity` - must not be null.
  `target` - must not be null.

### Method Detail

#### getIdentifier

    @Nullable
    public Object getIdentifier()

Description copied from interface: `IdentifierAccessor`
Returns the value of the identifier.

Returns:
  the identifier of the underlying instance.